--- old/usr/src/uts/common/fs/zfs/zfs_rlock.c	Wed Jul 18 15:51:31 2012
+++ new/usr/src/uts/common/fs/zfs/zfs_rlock.c	Wed Jul 18 15:51:30 2012
@@ -24,6 +24,12 @@
  */
 
 /*
+ * Copyright (c) 2012 by Delphix. All rights reserved.
+ */
+
+
+
+/*
  * This file contains the code to implement file range locking in
  * ZFS, although there isn't much specific to ZFS (all that comes to mind
  * support for growing the blocksize).
@@ -481,9 +487,9 @@
 			cv_destroy(&remove->r_rd_cv);
 		}
 	} else {
-		ASSERT3U(remove->r_cnt, ==, 0);
-		ASSERT3U(remove->r_write_wanted, ==, 0);
-		ASSERT3U(remove->r_read_wanted, ==, 0);
+		ASSERT0(remove->r_cnt);
+		ASSERT0(remove->r_write_wanted);
+		ASSERT0(remove->r_read_wanted);
 		/*
 		 * Find start proxy representing this reader lock,
 		 * then decrement ref count on all proxies
